Loading...
Searching...
No Matches
servermon::ServerMonitor::ServerReachabilityEvent Struct Reference

Event: Reachability status for a monitored server has changed or server continues to be unreachable. More...

`import "ServerMonitor.idl";`

Inheritance diagram for servermon::ServerMonitor::ServerReachabilityEvent:

## Public Attributes

int | id
| id of the server entry
string | host
| Server hostname/IP address.
ServerReachability | reachable
| Current Reachability state.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Reachability status for a monitored server has changed or server continues to be unreachable.

Definition at line 132 of file ServerMonitor.idl.

## Member Data Documentation

## host

string servermon::ServerMonitor::ServerReachabilityEvent::host

Server hostname/IP address.

Definition at line 134 of file ServerMonitor.idl.

## id

int servermon::ServerMonitor::ServerReachabilityEvent::id

id of the server entry

Definition at line 133 of file ServerMonitor.idl.

## reachable

ServerReachability servermon::ServerMonitor::ServerReachabilityEvent::reachable

Current Reachability state.

Definition at line 135 of file ServerMonitor.idl.

The documentation for this struct was generated from the following file:

- ServerMonitor.idl